#!/bin/bash

# create plots
for species in 5 10 15
do
 cd "$species"
 for families in 10 20 30 40 50 60 70 80 90 100
 do
  cd "$families"
  awk "FNR==2{print;nextfile}" *.dist > "../$species-$families.data"
  cd ..
 done
 cd ..
done
Rscript "genefamilies.R"

# extract runtimes
for species in 5 10 15
do
 echo -e "cographEditingTime\ttripleExtractionTime\tmaximalConsistentSubsetTime\tbuildTime\tleastResolvedTreeTime\ttolatTime" > "runtime$species"
 for families in 10 20 30 40 50 60 70 80 90 100
 do
  for i in {1..100}
  do
  cgeTime=$(cat "$species/$families/sim$i" | grep -A1 "#cograph solving time" | tail -n 1)
  texTime=$(cat "$species/$families/sim$i" | grep -A1 "#triple extraction time" | tail -n 1)
  mcsTime=$(cat "$species/$families/sim$i" | grep -A1 "#maximal consistent subset solving time" | tail -n 1)
  buildTime=$(cat "$species/$families/sim$i" | grep -A1 "#BUILD tree reconstruction time" | tail -n 1)
  lrtTime=$(cat "$species/$families/sim$i" | grep -A1 "#least resolved tree solving time" | tail -n 1)
  totalTime=$(cat "$species/$families/sim$i" | grep -A1 "#total time" | tail -n 1)
  echo -n -e "$cgeTime\t" >> "runtime$species"
  echo -n -e "$texTime\t" >> "runtime$species"
  echo -n -e "$mcsTime\t" >> "runtime$species"
  echo -n -e "$buildTime\t" >> "runtime$species"
  echo -n -e "$lrtTime\t" >> "runtime$species"
  echo -e "$totalTime" >> "runtime$species"
  done
 done
done

./getParalogy.sh
