#!/bin/bash

./clean.sh

# create folders
mkdir trees
mkdir data
mkdir results

# generate trees
for leaves in 5 10 15 20
do
 mkdir trees/$leaves
 for i in {1..100}
 do
  Rscript pruneTree$leaves.R
  mv prunedTree.nwk trees/$leaves/prunedTree$i.nwk
 done
done

# run simulations
for leaves in 5 10 15 20
do
 mkdir results/$leaves
 mkdir data/$leaves
 for gf in 100 200 300 400 500
 do
  mkdir results/$leaves/$gf
  mkdir data/$leaves/$gf
  rm paraphylo-params.drw
  sed "s#protStart := xxx;#protStart := $gf;#g" paraphylo-params-xxx.drw > paraphylo-params.drw
  echo -n "" > results/$leaves/$gf/treehights
  for i in {1..100}
  do

   cp trees/$leaves/prunedTree$i.nwk prunedTree.nwk
   ./ALF/bin/alfsim -o ./ paraphylo-params.drw
   head -n 5 1/logfile.txt | tail -n 1 | egrep -o "[0-9]+\.[0-9]+" >> results/$leaves/$gf/treehights
   sed 's#:[0-9]\+\(\.[0-9Ee-]\+\)\?##g' 1/RealTree.nwk > results/$leaves/$gf/sim$i.org.tree
   java -jar ParaPhyloConverter.jar -a 1/VP.tgz -r 1/RealTree.nwk -o data/$leaves/$gf/sim$i.paraphylo
   cp 1/VP.tgz results/$leaves/$gf/VP$i.tgz
   java -jar ParaPhylo.jar -i data/$leaves/$gf/sim$i.paraphylo -o results/$leaves/$gf/sim$i -s 50 -c 1800 -n
   java -jar TreeCmp/bin/TreeCmp.jar -r results/$leaves/$gf/sim$i.org.tree -d mc rc ns tt -N -i results/$leaves/$gf/sim$i.tree -o results/$leaves/$gf/sim$i.dist
   
   rm -r 1
   rm prunedTree.nwk
  done
  rm paraphylo-params.drw
 done
done

