#!/bin/bash

./clean.sh

# create folders
mkdir trees
mkdir data
mkdir results

# generate trees
for i in {1..100}
do
 Rscript pruneTree.R
 mv prunedTree.nwk trees/prunedTree$i.nwk
done

# run simulations
for dl in 50
do
 mkdir results/DL$dl
 mkdir data/DL$dl
 for h in 00 25 50 75
 do
  mkdir results/DL$dl/H$h
  mkdir data/DL$dl/H$h
  echo -n "" > results/DL$dl/H$h/treehights
  for i in {1..100}
  do

   cp trees/prunedTree$i.nwk prunedTree.nwk
   cp params/paraphylo-params-DL$dl-H$h.drw paraphylo-params.drw
   ./ALF/bin/alfsim -o ./ paraphylo-params.drw
   rm paraphylo-params.drw
   rm prunedTree.nwk
   head -n 5 1/logfile.txt | tail -n 1 | egrep -o "[0-9]+\.[0-9]+" >> results/DL$dl/H$h/treehights
   sed 's#:[0-9]\+\(\.[0-9Ee-]\+\)\?##g' 1/RealTree.nwk > results/DL$dl/H$h/sim$i.org.tree
   cp 1/VP.tgz results/DL$dl/H$h/VP$i.tgz
   
   java -jar ParaPhyloConverter.jar -a 1/VP.tgz -r 1/RealTree.nwk -o data/DL$dl/H$h/sim$i.alf.pp.paraphylo -x 0.0
   java -jar ParaPhylo.jar -i data/DL$dl/H$h/sim$i.alf.pp.paraphylo -o results/DL$dl/H$h/sim$i.alf.pp -s 50 -c 1800
   java -jar TreeCmp/bin/TreeCmp.jar -r results/DL$dl/H$h/sim$i.org.tree -d mc rc ns tt -N -i results/DL$dl/H$h/sim$i.alf.pp.tree -o results/DL$dl/H$h/sim$i.alf.pp.dist
   
   java -jar ParaPhyloConverter.jar -a 1/VP.tgz -r 1/RealTree.nwk -o data/DL$dl/H$h/sim$i.alf.po.paraphylo -x 1.0
   java -jar ParaPhylo.jar -i data/DL$dl/H$h/sim$i.alf.po.paraphylo -o results/DL$dl/H$h/sim$i.alf.po -s 50 -c 1800
   java -jar TreeCmp/bin/TreeCmp.jar -r results/DL$dl/H$h/sim$i.org.tree -d mc rc ns tt -N -i results/DL$dl/H$h/sim$i.alf.po.tree -o results/DL$dl/H$h/sim$i.alf.po.dist

   mkdir species-data
   cp 1/DB/*.fa species-data
   sed -i 's#,##g' species-data/*.fa
   ./runProteinortho.sh
   rm -r species-data
   rm -r 1

   java -jar ParaPhyloConverter.jar -p proteinortho/species.proteinortho -g proteinortho/species.proteinortho-graph -b blast/ -o data/DL$dl/H$h/sim$i.proteinortho.paraphylo
   java -jar ParaPhylo.jar -i data/DL$dl/H$h/sim$i.proteinortho.paraphylo -o results/DL$dl/H$h/sim$i.proteinortho -s 50 -c 1800
   sed -i 's#_aa\.fa##g' results/DL$dl/H$h/sim$i.proteinortho.tree
   java -jar TreeCmp/bin/TreeCmp.jar -r results/DL$dl/H$h/sim$i.org.tree -d mc rc ns tt -N -i results/DL$dl/H$h/sim$i.proteinortho.tree -o results/DL$dl/H$h/sim$i.proteinortho.dist
   
   rm -r blast
   rm -r proteinortho
  done
 done
done


