#!/usr/bin/perl

use warnings;
use strict;

# Collect gene positons from GFF
my %hash;
foreach (@ARGV) {
	open(GFF,"<$_") || die($!.": ".$_);
	while(<GFF>) {
		my @data = split;
		if ($data[0] !~ /^#/ && $data[2] eq "CDS" && $data[8] =~ /Name=([^;]+);/) {
			$hash{$1} = "$data[3]\t$data[4]\t$data[6]";
		}
	}
	close(GFF);
}

# Add them to log
my $flag = 0;
while (<STDIN>) {
	if ($_ =~ /^#spe/) {$flag++; chomp; print "$_"; print "\tpos1\tpos2\tstrand\n"; next;}
	if ($_ =~ /^#prot/) {$flag = 0;}
	if ($flag) {
		if ($_ =~ /ref\|([^\|]+)\|/ || $_ =~ /(PO_[0-9]+)/) {
			if (defined($hash{$1})) {chomp; $_ .= "\t".$hash{$1}."\n";}
			else {print STDERR "Protein ID $1 could not be located in the gff files given.";}
		}
		else {
			print STDERR "Sorry, no ID found for line $_";
		}
	}
	print $_;
}
