#!/bin/bash
./clean.sh

# create folders
mkdir data
for type in 1 2 3 4
do
 mkdir "$type"
 for noise in 0.05 0.10 0.15 0.20 0.25
 do
  mkdir "$type/$noise"
 done
done

# run simulations
for i in {1..100}
do
 ./grbt.x 10 100 data/sim$i.ds 1 0 0 .5 .1 .1 0
 for type in 1 2 3 4
 do
  for noise in 0.05 0.10 0.15 0.20 0.25
  do
   java -jar ParaPhylo.jar -i data/sim$i.ds -o $type/$noise/sim$i -t $type -p $noise -s 50 -c 1800
   java -jar TreeCmp/bin/TreeCmp.jar -r $type/$noise/sim$i.org.tree -d mc rc ns tt -N -i $type/$noise/sim$i.tree -o $type/$noise/sim$i.dist
  done
 done
done

