#!/bin/bash

# create plots
for type in 1 2 3 4
do
 cd "$type"
 for noise in 0.05 0.10 0.15 0.20 0.25
 do
  cd "$noise"
  awk "FNR==2{print;nextfile}" *.dist > "../$type-$noise.data"
  cd ..
 done
 cd ..
done
Rscript noise.R

# extract runtimes
echo -e "cographEditingTime\ttripleExtractionTime\tmaximalConsistentSubsetTime\tbuildTime\tleastResolvedTreeTime\ttolatTime" > runtime
for type in 1 2 3 4
do
 for noise in 0.05 0.10 0.15 0.20 0.25
 do
  for i in {1..100}
  do
  cgeTime=$(cat "$type/$noise/sim$i" | grep -A1 "#cograph solving time" | tail -n 1)
  texTime=$(cat "$type/$noise/sim$i" | grep -A1 "#triple extraction time" | tail -n 1)
  mcsTime=$(cat "$type/$noise/sim$i" | grep -A1 "#maximal consistent subset solving time" | tail -n 1)
  buildTime=$(cat "$type/$noise/sim$i" | grep -A1 "#BUILD tree reconstruction time" | tail -n 1)
  lrtTime=$(cat "$type/$noise/sim$i" | grep -A1 "#least resolved tree solving time" | tail -n 1)
  totalTime=$(cat "$type/$noise/sim$i" | grep -A1 "#total time" | tail -n 1)
  echo -n -e "$cgeTime\t" >> runtime
  echo -n -e "$texTime\t" >> runtime
  echo -n -e "$mcsTime\t" >> runtime
  echo -n -e "$buildTime\t" >> runtime
  echo -n -e "$lrtTime\t" >> runtime
  echo -e "$totalTime" >> runtime
  done
 done
done

./getParalogy.sh
