#!/bin/bash

mkdir homology
rm -r VP

echo -n "" > homology/orthologs
echo -n "" > homology/paralogs
echo -n "" > homology/xenologs
echo -n "" > homology/avghomologs
for i in {1..100}
do
 tar xf results/VP$i.tgz
 homologs=$(tail -n 1 VP/HP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
 orthologs=$(tail -n 1 VP/OP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
 paralogs=$(tail -n 1 VP/PP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
 xenologs=$(tail -n 1 VP/XP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
 echo "scale=2; ($orthologs * 100) / $homologs" | bc >> homology/orthologs
 echo "scale=2; ($paralogs * 100) / $homologs" | bc >> homology/paralogs
 echo "scale=2; ($xenologs * 100) / $homologs" | bc >> homology/xenologs
 rm -r VP
done

avgorthology=$(cat homology/orthologs | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
avgparalogy=$(cat homology/paralogs | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
avgxenology=$(cat homology/xenologs | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
echo "orthologs: $avgorthology" >> homology/avghomologs
echo "paralogs: $avgparalogy" >> homology/avghomologs
echo "xenologs: $avgxenology" >> homology/avghomologs
