attach(mtcars)
setEPS()

postscript("noise_ALF.eps", width=12, height=4)
par(mfrow=c(1,4), mar=c(6,0.5,1.5,0.5), oma=c(0,6,0,0), mgp = c(4, 1.5, 0))
`data05` <- read.delim("results/1/1-0.05.data", header=F)
`data10` <- read.delim("results/1/1-0.10.data", header=F)
`data15` <- read.delim("results/1/1-0.15.data", header=F)
`data20` <- read.delim("results/1/1-0.20.data", header=F)
`data25` <- read.delim("results/1/1-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% homologous noise", ylab="", names=c("5","10","15","20","25"), cex.lab=2, cex.axis=2, bty="n")
`data05` <- read.delim("results/3/3-0.05.data", header=F)
`data10` <- read.delim("results/3/3-0.10.data", header=F)
`data15` <- read.delim("results/3/3-0.15.data", header=F)
`data20` <- read.delim("results/3/3-0.20.data", header=F)
`data25` <- read.delim("results/3/3-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% orthologous noise", ylab="", names=c("5","10","15","20","25"), cex.lab=2, cex.axis=2, yaxt="n", bty="n")
`data05` <- read.delim("results/2/2-0.05.data", header=F)
`data10` <- read.delim("results/2/2-0.10.data", header=F)
`data15` <- read.delim("results/2/2-0.15.data", header=F)
`data20` <- read.delim("results/2/2-0.20.data", header=F)
`data25` <- read.delim("results/2/2-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% paralogous noise", ylab="", names=c("5","10","15","20","25"), cex.lab=2, cex.axis=2, yaxt="n", bty="n")
`data05` <- read.delim("results/4/4-0.05.data", header=F)
`data10` <- read.delim("results/4/4-0.10.data", header=F)
`data15` <- read.delim("results/4/4-0.15.data", header=F)
`data20` <- read.delim("results/4/4-0.20.data", header=F)
`data25` <- read.delim("results/4/4-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% xenologous noise", ylab="", names=c("5","10","15","20","25"), cex.lab=2, cex.axis=2, yaxt="n", bty="n")
mtext("TT distance", side=2, line=3.5, cex=2, outer=TRUE)


postscript("noiseMC_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("results/1/1-0.05.data", header=F)
`data10` <- read.delim("results/1/1-0.10.data", header=F)
`data15` <- read.delim("results/1/1-0.15.data", header=F)
`data20` <- read.delim("results/1/1-0.20.data", header=F)
`data25` <- read.delim("results/1/1-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% homologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/3/3-0.05.data", header=F)
`data10` <- read.delim("results/3/3-0.10.data", header=F)
`data15` <- read.delim("results/3/3-0.15.data", header=F)
`data20` <- read.delim("results/3/3-0.20.data", header=F)
`data25` <- read.delim("results/3/3-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% orthologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/2/2-0.05.data", header=F)
`data10` <- read.delim("results/2/2-0.10.data", header=F)
`data15` <- read.delim("results/2/2-0.15.data", header=F)
`data20` <- read.delim("results/2/2-0.20.data", header=F)
`data25` <- read.delim("results/2/2-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% paralogous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/4/4-0.05.data", header=F)
`data10` <- read.delim("results/4/4-0.10.data", header=F)
`data15` <- read.delim("results/4/4-0.15.data", header=F)
`data20` <- read.delim("results/4/4-0.20.data", header=F)
`data25` <- read.delim("results/4/4-0.25.data", header=F)
boxplot(data05$V12, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% xenologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseRC_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("results/1/1-0.05.data", header=F)
`data10` <- read.delim("results/1/1-0.10.data", header=F)
`data15` <- read.delim("results/1/1-0.15.data", header=F)
`data20` <- read.delim("results/1/1-0.20.data", header=F)
`data25` <- read.delim("results/1/1-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% homologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/3/3-0.05.data", header=F)
`data10` <- read.delim("results/3/3-0.10.data", header=F)
`data15` <- read.delim("results/3/3-0.15.data", header=F)
`data20` <- read.delim("results/3/3-0.20.data", header=F)
`data25` <- read.delim("results/3/3-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% orthologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/2/2-0.05.data", header=F)
`data10` <- read.delim("results/2/2-0.10.data", header=F)
`data15` <- read.delim("results/2/2-0.15.data", header=F)
`data20` <- read.delim("results/2/2-0.20.data", header=F)
`data25` <- read.delim("results/2/2-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% paralogous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/4/4-0.05.data", header=F)
`data10` <- read.delim("results/4/4-0.10.data", header=F)
`data15` <- read.delim("results/4/4-0.15.data", header=F)
`data20` <- read.delim("results/4/4-0.20.data", header=F)
`data25` <- read.delim("results/4/4-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% xenologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseNS_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("results/1/1-0.05.data", header=F)
`data10` <- read.delim("results/1/1-0.10.data", header=F)
`data15` <- read.delim("results/1/1-0.15.data", header=F)
`data20` <- read.delim("results/1/1-0.20.data", header=F)
`data25` <- read.delim("results/1/1-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0),xlab="% homologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/3/3-0.05.data", header=F)
`data10` <- read.delim("results/3/3-0.10.data", header=F)
`data15` <- read.delim("results/3/3-0.15.data", header=F)
`data20` <- read.delim("results/3/3-0.20.data", header=F)
`data25` <- read.delim("results/3/3-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0),xlab="% orthologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/2/2-0.05.data", header=F)
`data10` <- read.delim("results/2/2-0.10.data", header=F)
`data15` <- read.delim("results/2/2-0.15.data", header=F)
`data20` <- read.delim("results/2/2-0.20.data", header=F)
`data25` <- read.delim("results/2/2-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0), xlab="% paralogous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/4/4-0.05.data", header=F)
`data10` <- read.delim("results/4/4-0.10.data", header=F)
`data15` <- read.delim("results/4/4-0.15.data", header=F)
`data20` <- read.delim("results/4/4-0.20.data", header=F)
`data25` <- read.delim("results/4/4-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0), xlab="% xenologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseTT_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("results/1/1-0.05.data", header=F)
`data10` <- read.delim("results/1/1-0.10.data", header=F)
`data15` <- read.delim("results/1/1-0.15.data", header=F)
`data20` <- read.delim("results/1/1-0.20.data", header=F)
`data25` <- read.delim("results/1/1-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% homologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/3/3-0.05.data", header=F)
`data10` <- read.delim("results/3/3-0.10.data", header=F)
`data15` <- read.delim("results/3/3-0.15.data", header=F)
`data20` <- read.delim("results/3/3-0.20.data", header=F)
`data25` <- read.delim("results/3/3-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% orthologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/2/2-0.05.data", header=F)
`data10` <- read.delim("results/2/2-0.10.data", header=F)
`data15` <- read.delim("results/2/2-0.15.data", header=F)
`data20` <- read.delim("results/2/2-0.20.data", header=F)
`data25` <- read.delim("results/2/2-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% paralogous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("results/4/4-0.05.data", header=F)
`data10` <- read.delim("results/4/4-0.10.data", header=F)
`data15` <- read.delim("results/4/4-0.15.data", header=F)
`data20` <- read.delim("results/4/4-0.20.data", header=F)
`data25` <- read.delim("results/4/4-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% xenologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
