#!/bin/bash

./clean.sh

# create folders
mkdir trees
mkdir data
mkdir results

# generate trees
for i in {1..100}
do
 Rscript pruneTree.R
 mv prunedTree.nwk trees/prunedTree$i.nwk
done

# create folders
mkdir data
for type in 1 2 3 4
do
 mkdir "results/$type"
 for noise in 0.05 0.10 0.15 0.20 0.25
 do
  mkdir "results/$type/$noise"
 done
done

# run simulations
echo -n "" > results/treehights
for i in {1..100}
do
 cp trees/prunedTree$i.nwk prunedTree.nwk
 ./ALF/bin/alfsim -o ./ paraphylo-params.drw
 head -n 5 1/logfile.txt | tail -n 1 | egrep -o "[0-9]+\.[0-9]+" >> results/treehights
 sed 's#:[0-9]\+\(\.[0-9Ee-]\+\)\?##g' 1/RealTree.nwk > results/sim$i.org.tree
 java -jar ParaPhyloConverter.jar -a 1/VP.tgz -r 1/RealTree.nwk -o data/sim$i.paraphylo
 cp 1/VP.tgz results/VP$i.tgz
 rm -r 1
 rm prunedTree.nwk

 for type in 1 2 3 4
 do
  for noise in 0.05 0.10 0.15 0.20 0.25
  do
   java -jar ParaPhylo.jar -i data/sim$i.paraphylo -o results/$type/$noise/sim$i -t $type -p $noise -s 50 -c 1800
   java -jar TreeCmp/bin/TreeCmp.jar -r results/$type/$noise/sim$i.org.tree -d mc rc ns tt -N -i results/$type/$noise/sim$i.tree -o results/$type/$noise/sim$i.dist
  done
 done
done

